Skip to main content
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronizations
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.DirectoryProvisioning.Synchronizations.CreateAsync(
            "id"
        );
    }

}
{
  "connection_id": "<string>",
  "synchronization_id": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to trigger synchronization for

Response

The directory synchronization was triggered. See Response Schemas for schema.

connection_id
string
required

The connection's identifier

synchronization_id
string
required

The synchronization's identifier

status
string
required

The synchronization status